.menu-wrap a {
  color: #b8b7ad;
}

.menu-wrap a:hover,
.menu-wrap a:focus{
  color: var(--color-5);
}
.menu-wrap .navbar-nav li .active,
.menu-wrap .navbar-nav li .active:before{
  color: var(--color-5);
  -webkit-transform: scale(1);
  transform: scale(1);
}
.content-wrap {
  overflow-y: scroll;
  -webkit-overflow-scrolling: touch;
}

.content {
  position: relative;
  background: #b4bad2;
}

.content::before {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 10;
  width: 100%;
  height: 100%;
  background: rgba(0,0,0,0.3);
  content: '';
  opacity: 0;
  -webkit-transform: translate3d(100%,0,0);
  transform: translate3d(100%,0,0);
  -webkit-transition: opacity 0.4s, -webkit-transform 0s 0.4s;
  transition: opacity 0.4s, transform 0s 0.4s;
  -webkit-transition-timing-function: cubic-bezier(0.7,0,0.3,1);
  transition-timing-function: cubic-bezier(0.7,0,0.3,1);
}

/* Menu Button */
.menu-button {
  position: absolute;
  z-index: 1000;
  width: 60px;
  height: 42px;
  border: none;
  font-size: 30px;
  color: #fff;
  background: transparent;
  top: 15px;
  right: 0;
  line-height: 42px;
  outline: none;
  text-align: center;
}

.logo-menu{
  padding: 15px 0;
}
.menu-bg .logo-menu{
  padding: 6px 0;
}
.menu-bg .menu-button{
  top: 5px;
  color: #333;
}

/* Menu */
.menu-wrap {
  position: fixed;
  z-index: 9999999;
  width: 260px;
  right: 0;
  height: 100%;
  background: var(--color-nav2);
  padding: 2.5em 1.5em 0;
  font-size: 1.15em;
  -webkit-transform: translate3d(320px,0,0);
  transform: translate3d(320px,0,0);
  -webkit-transition: -webkit-transform 0.4s;
  transition: transform 0.4s;
  -webkit-transition-timing-function: cubic-bezier(0.7,0,0.3,1);
  transition-timing-function: cubic-bezier(0.7,0,0.3,1);
  box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.16), 0 2px 10px 0 rgba(0, 0, 0, 0.12);
}

.menu, 
.menu-list {
  height: 100%;
}

.menu-list {
  -webkit-transform: translate3d(0,100%,0);
  transform: translate3d(0,100%,0);
}

.menu-list a {
  color: var(--color-7);
  display: block;
  padding: 0.8em;
  -webkit-transform: translate3d(0,500px,0);
  transform: translate3d(0,500px,0);
  position: relative;
}
.menu-wrap a:hover:before{
  -webkit-transform: scale(1);
  transform: scale(1);
}
.menu-list,
.menu-list a {  
  -webkit-transition: -webkit-transform 0s 0.4s;
  transition: transform 0s 0.4s;
  -webkit-transition-timing-function: cubic-bezier(0.7,0,0.3,1);
  transition-timing-function: cubic-bezier(0.7,0,0.3,1);
}

.menu-list a:nth-child(2) {
  -webkit-transform: translate3d(0,1000px,0);
  transform: translate3d(0,1000px,0);
}

.menu-list a:nth-child(3) {
  -webkit-transform: translate3d(0,1500px,0);
  transform: translate3d(0,1500px,0);
}

.menu-list a:nth-child(4) {
  -webkit-transform: translate3d(0,2000px,0);
  transform: translate3d(0,2000px,0);
}

.menu-list a:nth-child(5) {
  -webkit-transform: translate3d(0,2500px,0);
  transform: translate3d(0,2500px,0);
}

.menu-list a:nth-child(6) {
  -webkit-transform: translate3d(0,3000px,0);
  transform: translate3d(0,3000px,0);
}

.menu-list a span {
  margin-left: 10px;
  font-weight: 700;
}

/* Shown menu */
.show-menu .menu-wrap {
  -webkit-transform: translate3d(0,0,0);
  transform: translate3d(0,0,0);
  -webkit-transition: -webkit-transform 0.8s;
  transition: transform 0.8s;
  -webkit-transition-timing-function: cubic-bezier(0.7,0,0.3,1);
  transition-timing-function: cubic-bezier(0.7,0,0.3,1);
}

.show-menu .menu-list,
.show-menu .menu-list a {
  -webkit-transform: translate3d(0,0,0);
  transform: translate3d(0,0,0);
  -webkit-transition: -webkit-transform 0.8s;
  transition: transform 0.8s;
  -webkit-transition-timing-function: cubic-bezier(0.7,0,0.3,1);
  transition-timing-function: cubic-bezier(0.7,0,0.3,1);
}

.show-menu .menu-list a {
  -webkit-transition-duration: 0.9s;
  transition-duration: 0.9s;
}

.show-menu .content::before {
  opacity: 1;
  -webkit-transition: opacity 0.8s;
  transition: opacity 0.8s;
  -webkit-transition-timing-function: cubic-bezier(0.7,0,0.3,1);
  transition-timing-function: cubic-bezier(0.7,0,0.3,1);
  -webkit-transform: translate3d(0,0,0);
  transform: translate3d(0,0,0);
}
